Page MenuHomePhabricator

Prague Hackathon: conduct usability testing
Closed, ResolvedPublic

Description

Why are we doing usability testing at the hackathon?

  • Learn what about our planned revisions to mobile contexts (see T221247 + Invision) should be reconsidered

"Done"

We leave the hackathon...

  • Knowing how people experience the linking with contextual input prototype. See "Workflows to test"
  • With artifact(s) (photo(s) or preferably, video(s)) of testing sessions at the hackathon
  • Post learnings to Edit cards project page

Info. to gather during each testing session

  • Ask: Are you okay with me filming your hands and device as you complete the test?
  • Ask: Are you comfortable with me sharing this recording with our team?
  • Ask: Are you comfortable with me sharing this recording on MediaWiki?
  • Ask: Are you open to being contacted by our team later, should we have more questions for you?

Tests (ideally these are recorded on video)

See: Adding and editing links usability testing

References

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 10:30 PM
ppelberg updated the task description. (Show Details)May 14 2019, 7:08 PM
ppelberg updated the task description. (Show Details)
ppelberg edited projects, added VisualEditor (Current work); removed VisualEditor.
ppelberg added a subscriber: iamjessklein.
ppelberg updated the task description. (Show Details)EditedMay 14 2019, 7:28 PM

@iamjessklein and I just talked about this during our meeting. The task description reflects our latest thinking.

ppelberg updated the task description. (Show Details)May 15 2019, 11:42 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)May 17 2019, 5:26 AM
Esanders updated the task description. (Show Details)May 17 2019, 8:59 AM
ppelberg updated the task description. (Show Details)May 20 2019, 3:16 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg added a comment.EditedMay 20 2019, 3:22 PM

The videos and feedback from the testing sessions @Esanders ran at the Hackathon are here: VE mobile testing, Prague 2019.

Next steps

Next steps

☝️ see: T220385#5205295

ppelberg added a comment.EditedMay 22 2019, 11:23 PM

Testing learnings

In addition to what we learned about the prototypes (see VE mobile testing, Prague 2019), we also learned some things we can improve for our next live user testing session.

Those learnings live here for now: Guerrilla testing learnings: Prague Hackathon 2019

Bring 2 devices: one for testing; one for recording

  • This would resolve a couple issues we encountered at the Hackathon:
    • 1) Tester would not need to turn off their notifications. Contributors don't want the contents of their notifications/messages recorded and shared
    • 2) Tester and test administrator would not need to share a link to the prototype(s) via email/SMS/etc.

Create note taking template ahead of time

  • "Test administrator" shouldn't have to think about a) Where do I take notes? and b) What format should I take notes in?

Prototype: don't "middle"

  • It's better to have a lower fidelity prototype (that does not look finished and will not create an expectation that it is) or an interactive prototype (read: high fidelity) that looks and functions as if it's real.
  • Middling in between, as we did for this test, is potentially distracting to the tester in so far as the prototype looked real enough that people expect it to behave like the real thing (i.e. being able to place the cursor anywhere).
ppelberg claimed this task.May 28 2019, 2:54 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)May 31 2019, 5:22 PM

31-May | Update

ppelberg closed this task as Resolved.May 31 2019, 5:25 PM